Bug 125609 - default configuration problem regarding STARTTLS and /etc/mail/certs/cert.pem file
default configuration problem regarding STARTTLS and /etc/mail/certs/cert.pem...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 08:13 EDT by Toni Willberg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 04:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2004-06-09 08:13:08 EDT
With default configuration of FC2's Sendmail (8.12.11-4.6), the
following appears on maillog when sending mail out to a
STARTTLS-capable server:

Jun  9 14:52:44 nasu sendmail[12145]: i59BqhBk012145:
from=<toniw@iki.fi>, size=297, class=0, nrcpts=1,
msgid=<1086782082.7958.23.camel@xxx>, proto=ESMTP, daemon=MTA,
relay=nasu [127.0.0.1]
Jun  9 14:52:44 nasu sendmail[12147]: STARTTLS=client: file
/etc/mail/certs/cert.pem unsafe: No such file or directory
Jun  9 14:52:44 nasu sendmail[12147]: STARTTLS=client: file
/etc/mail/certs/key.pem unsafe: No such file or directory
Jun  9 14:52:44 nasu sendmail[12147]: STARTTLS=client: file
/etc/mail/certs/cacert.pem unsafe: No such file or directory
Jun  9 14:52:44 nasu sendmail[12147]: STARTTLS=client, error: load
verify locs /etc/mail/certs, /etc/mail/certs/cacert.pem failed: 0
Jun  9 14:52:44 nasu sendmail[12147]: STARTTLS=client,
relay=the.remote.server.invalid., version=TLSv1/SSLv3, verify=FAIL,
cipher=DHE-RSA-AES256-SHA, bits=256/256

The directory /etc/mail/certs/ is also missing (and not provided by
any package).

No idea (at this point) how to fix this. One way would be to disable
STARTTLS support for outgoing mail by default. :)
Comment 1 Thomas Woerner 2004-06-23 04:47:41 EDT
Fixed in rawhide in rpm sendmail-8.13.0-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.